lua-compat53_0.3-3_i386.deb


Advertisement

Description

lua-compat53 - Lua-5.3-style APIs for Lua 5.2 and 5.1

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename lua-compat53_0.3-3_i386.deb
Package name lua-compat53
Package version 0.3
Package release 3
Package architecture i386
Package type deb
Category interpreters
Homepage https://github.com/keplerproject/lua-compat-5.3
License -
Maintainer Ondřej Surý <ondrej@debian.org>
Download size 38.46 KB
Installed size 177.00 KB
This is a small module that aims to make it easier to write code in a
Lua-5.3-style that is compatible with Lua 5.1, Lua 5.2, and Lua
5.3. This does not make Lua 5.2 (or even Lua 5.1) entirely compatible
with Lua 5.3, but it brings the API closer to that of Lua 5.3.

Alternatives

Package Version Architecture Repository
lua-compat53_0.3-3_amd64.deb 0.3 amd64 Debian Main
lua-compat53 - - -

Requires

Name Value
libc6 >= 2.4

Provides

Name Value
lua5.1-compat53 -
lua5.2-compat53 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package lua-compat53_0.3-3_i386.deb
Source Package lua-compat53

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lua-compat53 deb package:
    # sudo apt-get install lua-compat53

Files

Path
/usr/lib/i386-linux-gnu/liblua5.1-compat53-string.so.0
/usr/lib/i386-linux-gnu/liblua5.1-compat53-string.so.0.0.0
/usr/lib/i386-linux-gnu/liblua5.1-compat53-table.so.0
/usr/lib/i386-linux-gnu/liblua5.1-compat53-table.so.0.0.0
/usr/lib/i386-linux-gnu/liblua5.1-compat53-utf8.so.0
/usr/lib/i386-linux-gnu/liblua5.1-compat53-utf8.so.0.0.0
/usr/lib/i386-linux-gnu/liblua5.2-compat53-string.so.0
/usr/lib/i386-linux-gnu/liblua5.2-compat53-string.so.0.0.0
/usr/lib/i386-linux-gnu/liblua5.2-compat53-table.so.0
/usr/lib/i386-linux-gnu/liblua5.2-compat53-table.so.0.0.0
/usr/lib/i386-linux-gnu/liblua5.2-compat53-utf8.so.0
/usr/lib/i386-linux-gnu/liblua5.2-compat53-utf8.so.0.0.0
/usr/lib/i386-linux-gnu/lua/5.1/compat53/string.so
/usr/lib/i386-linux-gnu/lua/5.1/compat53/table.so
/usr/lib/i386-linux-gnu/lua/5.1/compat53/utf8.so
/usr/lib/i386-linux-gnu/lua/5.2/compat53/string.so
/usr/lib/i386-linux-gnu/lua/5.2/compat53/table.so
/usr/lib/i386-linux-gnu/lua/5.2/compat53/utf8.so
/usr/share/doc/lua-compat53/README.md.gz
/usr/share/doc/lua-compat53/changelog.Debian.gz
/usr/share/doc/lua-compat53/copyright
/usr/share/doc/lua-compat53/examples/compat-5.3.c.gz
/usr/share/doc/lua-compat53/examples/compat-5.3.h.gz
/usr/share/lintian/overrides/lua-compat53
/usr/share/lua/5.1/compat53/init.lua
/usr/share/lua/5.1/compat53/module.lua
/usr/share/lua/5.2/compat53/init.lua
/usr/share/lua/5.2/compat53/module.lua

Changelog

2016-07-14 - Ondřej Surý <ondrej@debian.org>
lua-compat53 (0.3-3) unstable; urgency=medium
* Clarify copyright on c-api/compat-5.3.c (parts come from Lua source code)
* Add debian/watch for upstream github repository
2016-07-13 - Ondřej Surý <ondrej@debian.org>
lua-compat53 (0.3-2) unstable; urgency=medium
* Use correct Vcs-Browser URL
2016-07-12 - Ondřej Surý <ondrej@debian.org>
lua-compat53 (0.3-1) unstable; urgency=low
* Initial release.

See Also

Package Description
lua-copas_1.2.0-1_all.deb Copas is a dispatcher of concurrent TCP/IP requests
lua-cosmo_13.01.30-2_all.deb Template library for the Lua language
lua-coxpcall_1.14.0-2_all.deb Protected function calls across coroutines for Lua
lua-cqueues-dev_20171014-1_i386.deb event loop for Lua (development package)
lua-cqueues_20171014-1_i386.deb event loop for Lua
lua-curl-dev_0.3.0-9.2_i386.deb libcURL development files for the Lua language
lua-curl_0.3.0-9.2_i386.deb libcURL bindings for the Lua language
lua-curses-dev_9.0.0-2+b1_i386.deb Development files for the lua-curses library
lua-curses_9.0.0-2+b1_i386.deb curses library bindings for the Lua language
lua-cyrussasl-dev_1.0.0-6.1_i386.deb Cyrus SASL development files for the Lua language
lua-cyrussasl_1.0.0-6.1_i386.deb Cyrus SASL library for the Lua language
lua-dbi-common_0.7.1-2_all.deb DBI library for the Lua language, common files
lua-dbi-mysql-dev_0.7.1-2_i386.deb DBI library for the Lua language, MySQL development files
lua-dbi-mysql_0.7.1-2_i386.deb DBI library for the Lua language, MySQL backend
lua-dbi-postgresql-dev_0.7.1-2_i386.deb DBI library for the Lua language, PostgreSQL development files
Advertisement
Advertisement